﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v16.1, Version=16.1.20161.2050, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="650px" Width="900px" AutoGenerateColumns="False" DataSourceID="SqlDataSource1">
            <Columns>                
                <ig:BoundDataField DataFieldName="ProductID" Key="ProductID">
                    <Header Text="ProductID">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="ProductName" Key="ProductName">
                    <Header Text="ProductName">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice">
                    <Header Text="UnitPrice">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundCheckBoxField DataFieldName="Discontinued" Key="Discontinued">
                    <Header Text="Discontinued">
                    </Header>
                </ig:BoundCheckBoxField>
            </Columns>
            <Behaviors>
                <ig:Activation Enabled="true"></ig:Activation>
                <ig:Paging PageSize="20">
                </ig:Paging>
                <ig:Filtering>
                </ig:Filtering>
                <ig:Sorting>
                </ig:Sorting>
                <ig:Selection CellSelectType="Multiple">                    
                </ig:Selection>
            </Behaviors>
        </ig:WebDataGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>" 
            SelectCommand="SELECT [ProductID], [ProductName], [UnitPrice], [Discontinued] FROM [Products]" DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = ?" InsertCommand="INSERT INTO [Products] ([ProductID], [ProductName], [UnitPrice], [Discontinued]) VALUES (?, ?, ?, ?)" UpdateCommand="UPDATE [Products] SET [ProductName] = ?, [UnitPrice] = ?, [Discontinued] = ? WHERE [ProductID] = ?">
            <DeleteParameters>
                <asp:Parameter Name="ProductID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="ProductID" Type="Int32" />
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
                <asp:Parameter Name="ProductID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <button id="clearSelectedCells">Clear Selected Cells</button>
        <script>
            $("#clearSelectedCells").on("click", function (event) {
                event.preventDefault();
                var webDataGrid = $find("WebDataGrid1");
                var selectionBehavior = webDataGrid.get_behaviors().get_selection();
                var selectedCells = selectionBehavior.get_selectedCells();
                for (var i = 0; i < selectedCells.get_length(); i++) {
                    var selectedCell = selectedCells.getItem(i);
                    selectedCell.set_value(undefined, undefined);
                }
            })
        </script>
    </div>
    </form>
</body>
</html>
